<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/set_ext_variable_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>04/15/86  set_ext_variable_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>To obtain information on a particular entry point use the &quot;ep&quot; request
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in set_ext_variable_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry:  set_ext_variable_:  04/15/86  set_ext_variable_
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function: allows the caller to look up an external variable by name.
<span id="L15" class="LineNr"> 15 </span>If the name is not found, the variable is created.
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Syntax:
<span id="L19" class="LineNr"> 19 </span>declare set_ext_variable_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr"> 20 </span>     ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr"> 21 </span>call set_ext_variable_ <span class="textRainbow_lv0_p0">(</span>ext_name<span class="textRainbow_lv0_o0">,</span> init_info_ptr<span class="textRainbow_lv0_o0">,</span> sb_ptr<span class="textRainbow_lv0_o0">,</span> found_sw<span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     node_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>ext_name
<span id="L27" class="LineNr"> 27 </span>   is the name of the external variable.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr"> 28 </span>init_info_ptr
<span id="L29" class="LineNr"> 29 </span>   is a pointer to the initialization info <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L30" class="LineNr"> 30 </span>   init_info structure&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L31" class="LineNr"> 31 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>sb_ptr
<span id="L33" class="LineNr"> 33 </span>   is a pointer to the base of the stack of the caller.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr"> 34 </span>found_sw
<span id="L35" class="LineNr"> 35 </span>   is set to indicate whether the variable was found or not.
<span id="L36" class="LineNr"> 36 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>node_ptr
<span id="L40" class="LineNr"> 40 </span>   is a pointer to the external variable node.  <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L41" class="LineNr"> 41 </span>   variable_node structure&quot;<span class="textRainbow_lv0_p0">)</span>
<span id="L42" class="LineNr"> 42 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr"> 43 </span>code
<span id="L44" class="LineNr"> 44 </span>   is an error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>:Entry:  locate:  04/15/86 set_ext_variable_$locate
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>Function: This entry point locates the specified external variable
<span id="L52" class="LineNr"> 52 </span>and returns a pointer to the structure describing the variable.
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>Syntax:
<span id="L56" class="LineNr"> 56 </span>dcl set_ext_variable_$locate entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L57" class="LineNr"> 57 </span>    fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L58" class="LineNr"> 58 </span>call set_ext_variable_$locate <span class="textRainbow_lv0_p0">(</span>ext_name<span class="textRainbow_lv0_o0">,</span> sb_ptr<span class="textRainbow_lv0_o0">,</span> node_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>Arguments:
<span id="L62" class="LineNr"> 62 </span>ext_name
<span id="L63" class="LineNr"> 63 </span>   is the name of the external variable.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr"> 64 </span>sb_ptr
<span id="L65" class="LineNr"> 65 </span>   is a pointer to the base of the stack of the caller.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L66" class="LineNr"> 66 </span>node_pointer
<span id="L67" class="LineNr"> 67 </span>   is a pointer to the variable_node describing the specified
<span id="L68" class="LineNr"> 68 </span>   variable.  This structure is defined in the
<span id="L69" class="LineNr"> 69 </span>   system_link_names.incl.pl1 include file.  <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L70" class="LineNr"> 70 </span>   variable_node structure&quot;<span class="textRainbow_lv0_p0">)</span>
<span id="L71" class="LineNr"> 71 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L72" class="LineNr"> 72 </span>code
<span id="L73" class="LineNr"> 73 </span>   is an error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>:Entry:  star_heap:  04/15/86  set_ext_variable_$star_heap
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>Function: allows the caller to look up heap variables by name.  If
<span id="L80" class="LineNr"> 80 </span>the name is not found, the variable is created and added to the
<span id="L81" class="LineNr"> 81 </span>list of heap variables.
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>Syntax:
<span id="L85" class="LineNr"> 85 </span>declare set_ext_variable_$star_heap entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr
<span id="L86" class="LineNr"> 86 </span>   bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L87" class="LineNr"> 87 </span>call set_ext_variable_$star_heap <span class="textRainbow_lv0_p0">(</span>ext_name<span class="textRainbow_lv0_o0">,</span> init_info_ptr<span class="textRainbow_lv0_o0">,</span> sb_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L88" class="LineNr"> 88 </span>  seg_ptr<span class="textRainbow_lv0_o0">,</span> found_sw<span class="textRainbow_lv0_o0">,</span> node_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>Arguments:
<span id="L92" class="LineNr"> 92 </span>ext_name
<span id="L93" class="LineNr"> 93 </span>   is the name of the external variable.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L94" class="LineNr"> 94 </span>init_info_ptr
<span id="L95" class="LineNr"> 95 </span>   is a pointer to the initialization info <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L96" class="LineNr"> 96 </span>   init_info structure&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L97" class="LineNr"> 97 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L98" class="LineNr"> 98 </span>sb_ptr
<span id="L99" class="LineNr"> 99 </span>   is a pointer to the base of the stack of the caller.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L100" class="LineNr">100 </span>seg_ptr
<span id="L101" class="LineNr">101 </span>   is a pointer to the segment containing the object to be
<span id="L102" class="LineNr">102 </span>   initialized. <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.
<span id="L103" class="LineNr">103 </span>found_sw
<span id="L104" class="LineNr">104 </span>   is set to indicate whether the variable was found or not.
<span id="L105" class="LineNr">105 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>node_ptr
<span id="L109" class="LineNr">109 </span>   is a pointer to the external variable node.
<span id="L110" class="LineNr">110 </span>   <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on variable_node structure&quot;<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L111" class="LineNr">111 </span>code
<span id="L112" class="LineNr">112 </span>   is an error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>:Entry:  pointer:  04/15/86  set_ext_variable_$pointer
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>Function: allows the caller to create a system external variable
<span id="L119" class="LineNr">119 </span>using list_init_ pointer intialization.
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>Syntax:
<span id="L123" class="LineNr">123 </span>declare set_ext_variable_$pointer entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr
<span id="L124" class="LineNr">124 </span>   bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L125" class="LineNr">125 </span>call set_ext_variable_$pointer <span class="textRainbow_lv0_p0">(</span>ext_name<span class="textRainbow_lv0_o0">,</span> init_info_ptr<span class="textRainbow_lv0_o0">,</span> sb_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L126" class="LineNr">126 </span>  seg_ptr<span class="textRainbow_lv0_o0">,</span> found_sw<span class="textRainbow_lv0_o0">,</span> node_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>Arguments:
<span id="L130" class="LineNr">130 </span>ext_name
<span id="L131" class="LineNr">131 </span>   is the name of the external variable.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L132" class="LineNr">132 </span>init_info_ptr
<span id="L133" class="LineNr">133 </span>   is a pointer to the initialization info <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L134" class="LineNr">134 </span>   init_info structure&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L135" class="LineNr">135 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L136" class="LineNr">136 </span>sb_ptr
<span id="L137" class="LineNr">137 </span>   is a pointer to the base of the stack of the caller.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L138" class="LineNr">138 </span>seg_ptr
<span id="L139" class="LineNr">139 </span>   is a pointer to the segment containing the object to be
<span id="L140" class="LineNr">140 </span>   initialized. <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.
<span id="L141" class="LineNr">141 </span>found_sw
<span id="L142" class="LineNr">142 </span>   is set to indicate whether the variable was found or not.
<span id="L143" class="LineNr">143 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>node_ptr
<span id="L147" class="LineNr">147 </span>   is a pointer to the external variable node.
<span id="L148" class="LineNr">148 </span>   <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on variable_node structure&quot;<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L149" class="LineNr">149 </span>code
<span id="L150" class="LineNr">150 </span>   is an error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>Notes on init_info structure:
<span id="L154" class="LineNr">154 </span>When a new external variable is allocated <span class="textRainbow_lv0_p0">(</span>not found<span class="textRainbow_lv0_p0">)</span>, it must be
<span id="L155" class="LineNr">155 </span>initialized.  The following structure, described in
<span id="L156" class="LineNr">156 </span>system_link_init_info.incl.pl1, is pointed to by init_info_ptr:
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>   dcl 1 init_info           aligned based,
<span id="L159" class="LineNr">159 </span>         2 size              fixed bin<span class="textRainbow_lv0_p0">(</span>19<span class="textRainbow_lv0_p0">)</span>,
<span id="L160" class="LineNr">160 </span>         2 type              fixed bin,
<span id="L161" class="LineNr">161 </span>         2 init_template
<span id="L162" class="LineNr">162 </span>      <span class="textRainbow_lv0_p0">(</span>init_size refer
<span id="L163" class="LineNr">163 </span>      <span class="textRainbow_lv1_p0">(</span>init_info.size<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>      fixed bin<span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>;
<span id="L164" class="LineNr">164 </span>
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>   Structure elements:
<span id="L167" class="LineNr">167 </span>   size
<span id="L168" class="LineNr">168 </span>      is the initialization template size, in words.
<span id="L169" class="LineNr">169 </span>   type
<span id="L170" class="LineNr">170 </span>      is the type of initialization to be performed.
<span id="L171" class="LineNr">171 </span>      0 no init
<span id="L172" class="LineNr">172 </span>      1 invalid
<span id="L173" class="LineNr">173 </span>      2 invalid
<span id="L174" class="LineNr">174 </span>      3 init from template
<span id="L175" class="LineNr">175 </span>      4 init area to empty <span class="textRainbow_lv0_p0">()</span>
<span id="L176" class="LineNr">176 </span>      5 list_template intialization <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L177" class="LineNr">177 </span>        list_template initialization structure&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L178" class="LineNr">178 </span>   init_template
<span id="L179" class="LineNr">179 </span>      is the initialization template to be used when type = 3.
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>
<span id="L182" class="LineNr">182 </span>Notes on list_template initialization structure:
<span id="L183" class="LineNr">183 </span>When the initialization type is 5 or a list_template
<span id="L184" class="LineNr">184 </span>initialization is being performed the init_info structure is not
<span id="L185" class="LineNr">185 </span>used.  The structure used is the list_init_info structure which
<span id="L186" class="LineNr">186 </span>has the following definition in system_link_init_info.incl.pl1 :
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>dcl       1 list_init_info         aligned based,
<span id="L189" class="LineNr">189 </span>            2 size                 fixed bin <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>,
<span id="L190" class="LineNr">190 </span>            2 type                 fixed bin,
<span id="L191" class="LineNr">191 </span>            2 pad                  bit <span class="textRainbow_lv0_p0">(</span>18<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L192" class="LineNr">192 </span>            2 list_size            fixed bin <span class="textRainbow_lv0_p0">(</span>18<span class="textRainbow_lv0_p0">)</span>
<span id="L193" class="LineNr">193 </span>                                   unsigned unaligned,
<span id="L194" class="LineNr">194 </span>            2 template             <span class="textRainbow_lv0_p0">(</span>0 refer
<span id="L195" class="LineNr">195 </span>                                   <span class="textRainbow_lv1_p0">(</span>list_init_info.list_size<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>
<span id="L196" class="LineNr">196 </span>                                   bit <span class="textRainbow_lv0_p0">(</span>36<span class="textRainbow_lv0_p0">)</span>;
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>
<span id="L199" class="LineNr">199 </span>   Structure Elements:
<span id="L200" class="LineNr">200 </span>   size
<span id="L201" class="LineNr">201 </span>      is the size of the variable in words.
<span id="L202" class="LineNr">202 </span>   type
<span id="L203" class="LineNr">203 </span>      is the type of initialization to be performed.
<span id="L204" class="LineNr">204 </span>      5 list_template
<span id="L205" class="LineNr">205 </span>   list_size
<span id="L206" class="LineNr">206 </span>     is the number of list_template_entries that make up the
<span id="L207" class="LineNr">207 </span>     template.
<span id="L208" class="LineNr">208 </span>
<span id="L209" class="LineNr">209 </span>
<span id="L210" class="LineNr">210 </span>   template
<span id="L211" class="LineNr">211 </span>     takes the form of a list_template_entry structure as defined
<span id="L212" class="LineNr">212 </span>     in system_link_init_info.incl.pl1.  This structure is passed
<span id="L213" class="LineNr">213 </span>     on to list_init_ and decoded into data which is copied to the
<span id="L214" class="LineNr">214 </span>     variable.  See the description of list_init_ in the
<span id="L215" class="LineNr">215 </span>     Privileged Subroutines Manual for a more complete
<span id="L216" class="LineNr">216 </span>     description.
<span id="L217" class="LineNr">217 </span>
<span id="L218" class="LineNr">218 </span>
<span id="L219" class="LineNr">219 </span>Notes on variable_node structure:
<span id="L220" class="LineNr">220 </span>Great care should be taken when using the node_ptr.  The
<span id="L221" class="LineNr">221 </span>variable_node structure should never be modified.  Modifications
<span id="L222" class="LineNr">222 </span>to the variable_node will have unpredictable results.
<span id="L223" class="LineNr">223 </span>
<span id="L224" class="LineNr">224 </span>A pointer to the following structure is returned by the entry
<span id="L225" class="LineNr">225 </span>points in this subroutine.  It is declared in
<span id="L226" class="LineNr">226 </span>system_link_names.incl.pl1.
<span id="L227" class="LineNr">227 </span>
<span id="L228" class="LineNr">228 </span>   dcl 1 variable_node       aligned based,
<span id="L229" class="LineNr">229 </span>         2 forward_thread    ptr unaligned,
<span id="L230" class="LineNr">230 </span>         2 vbl_size          fixed bin<span class="textRainbow_lv0_p0">(</span>23<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L231" class="LineNr">231 </span>         2 init_type         fixed bin<span class="textRainbow_lv0_p0">(</span>11<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L232" class="LineNr">232 </span>         2 time_allocated    fixed bin<span class="textRainbow_lv0_p0">(</span>71<span class="textRainbow_lv0_p0">)</span>,
<span id="L233" class="LineNr">233 </span>         2 vbl_ptr           ptr,
<span id="L234" class="LineNr">234 </span>         2 init_ptr          ptr,
<span id="L235" class="LineNr">235 </span>         2 name_size         fixed bin<span class="textRainbow_lv0_p0">(</span>21<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L236" class="LineNr">236 </span>         2 name              char <span class="textRainbow_lv0_p0">(</span>nchars refer
<span id="L237" class="LineNr">237 </span>                             <span class="textRainbow_lv1_p0">(</span>variable_node.name_size<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>,
<span id="L238" class="LineNr">238 </span>         2 seg_ptr           ptr;
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>   Structure elements:
<span id="L242" class="LineNr">242 </span>   forward_thread
<span id="L243" class="LineNr">243 </span>      is used by the linker to thread this variable to the
<span id="L244" class="LineNr">244 </span>      next.
<span id="L245" class="LineNr">245 </span>   vbl_size
<span id="L246" class="LineNr">246 </span>      is the size, in words, of this variable.
<span id="L247" class="LineNr">247 </span>   init_type
<span id="L248" class="LineNr">248 </span>      is the type of initialization that is performed:
<span id="L249" class="LineNr">249 </span>      0 none
<span id="L250" class="LineNr">250 </span>      1 invalid
<span id="L251" class="LineNr">251 </span>      2 invalid
<span id="L252" class="LineNr">252 </span>      3 initialize from template
<span id="L253" class="LineNr">253 </span>      4 initialize to an empty area
<span id="L254" class="LineNr">254 </span>      5 initialize using a list template <span class="textRainbow_lv0_p0">(</span>see &quot;Notes on
<span id="L255" class="LineNr">255 </span>        list_template initialization structure&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L256" class="LineNr">256 </span>
<span id="L257" class="LineNr">257 </span>
<span id="L258" class="LineNr">258 </span>   time_allocated
<span id="L259" class="LineNr">259 </span>      is the clock reading at the time this variable was
<span id="L260" class="LineNr">260 </span>      allocated.
<span id="L261" class="LineNr">261 </span>   vbl_ptr
<span id="L262" class="LineNr">262 </span>      is a pointer to the variable's storage.
<span id="L263" class="LineNr">263 </span>   init_ptr
<span id="L264" class="LineNr">264 </span>      is a pointer to the initialization template.
<span id="L265" class="LineNr">265 </span>   name_size
<span id="L266" class="LineNr">266 </span>      is the number of characters in the variable name.
<span id="L267" class="LineNr">267 </span>   name
<span id="L268" class="LineNr">268 </span>      is the name of the variable.
<span id="L269" class="LineNr">269 </span>   seg_ptr
<span id="L270" class="LineNr">270 </span>      is a pointer to the segment containing the variables
<span id="L271" class="LineNr">271 </span>      initialization information.
<span id="L272" class="LineNr">272 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
